Attribute VB_Name = "cwb"
'/*                                                                   */
'/* 5769-XE1                                                          */
'/* (C) Copyright IBM Corp. 1995,1998                                 */
'/* All rights reserved.                                              */
'/* US Government Users Restricted Rights -                           */
'/* Use, duplication or disclosure restricted                         */
'/* by GSA ADP Schedule Contract with IBM Corp.                       */
'/*                                                                   */
'/* Licensed Materials-Property of IBM                                */
'/*                                                                   */
'
'/*********************************************************************/
'/*                                                                   */
'/* Module:                                                           */
'/*   CWB.H                                                           */
'/*                                                                   */
'/* Purpose:                                                          */
'/*   Common declarations for Client Access/400 APIs                  */
'/*                                                                   */
'/* Usage Notes:                                                      */
'/*                                                                   */
'/*********************************************************************/
    
  Public Const CWB_FALSE = 0
  Public Const CWB_TRUE = 1
  
'/*********************************************************************/
'/* Public return codes corresponding to operating system errors      */
'/*********************************************************************/
  Public Const CWB_OK = 0
  Public Const CWB_INVALID_FUNCTION = 1
  Public Const CWB_FILE_NOT_FOUND = 2
  Public Const CWB_PATH_NOT_FOUND = 3
  Public Const CWB_TOO_MANY_OPEN_FILES = 4
  Public Const CWB_ACCESS_DENIED = 5
  Public Const CWB_INVALID_HANDLE = 6
  Public Const CWB_NOT_ENOUGH_MEMORY = 8
  Public Const CWB_INVALID_DRIVE = 15
  Public Const CWB_NO_MORE_FILES = 18
  Public Const CWB_DRIVE_NOT_READY = 21
  Public Const CWB_GENERAL_FAILURE = 31
  Public Const CWB_SHARING_VIOLATION = 32
  Public Const CWB_LOCK_VIOLATION = 33
  Public Const CWB_END_OF_FILE = 38
  Public Const CWB_NOT_SUPPORTED = 50
  Public Const CWB_BAD_NETWORK_PATH = 53
  Public Const CWB_NETWORK_BUSY = 54
  Public Const CWB_DEVICE_NOT_EXIST = 55
  Public Const CWB_UNEXPECTED_NETWORK_ERROR = 59
  Public Const CWB_NETWORK_ACCESS_DENIED = 65
  Public Const CWB_FILE_EXISTS = 80
  Public Const CWB_ALREADY_ASSIGNED = 85
  Public Const CWB_INVALID_PARAMETER = 87
  Public Const CWB_NETWORK_WRITE_FAULT = 88
  Public Const CWB_OPEN_FAILED = 110
  Public Const CWB_BUFFER_OVERFLOW = 111
  Public Const CWB_DISK_FULL = 112
  Public Const CWB_PROTECTION_VIOLATION = 115
  Public Const CWB_INVALID_LEVEL = 124
  Public Const CWB_BUSY_DRIVE = 142
  Public Const CWB_INVALID_FSD_NAME = 252
  Public Const CWB_INVALID_PATH = 253
  
'/*********************************************************************/
'/* Public return codes unique to Client Access/400                   */
'/*********************************************************************/
  Public Const CWB_START = 4000
  Public Const CWB_LAST = 5999

  Public Const CWB_USER_CANCELLED_COMMAND = (CWB_START)
  Public Const CWB_CONFIG_ERROR = (CWB_START + 1)
  Public Const CWB_LICENSE_ERROR = (CWB_START + 2)
  Public Const CWB_PROD_OR_COMP_NOT_SET = (CWB_START + 3)
  Public Const CWB_SECURITY_ERROR = (CWB_START + 4)
  Public Const CWB_Public_CFG_FAILED = (CWB_START + 5)
  Public Const CWB_PROD_RETRIEVE_FAILED = (CWB_START + 6)
  Public Const CWB_COMP_RETRIEVE_FAILED = (CWB_START + 7)
  Public Const CWB_COMP_CFG_FAILED = (CWB_START + 8)
  Public Const CWB_COMP_FIX_LEVEL_UPDATE_FAILED = (CWB_START + 9)
  Public Const CWB_INVALID_API_HANDLE = (CWB_START + 10)
  Public Const CWB_INVALID_API_PARAMETER = (CWB_START + 11)
  Public Const CWB_HOST_NOT_FOUND = (CWB_START + 12)
  Public Const CWB_NOT_COMPATIBLE = (CWB_START + 13)
  Public Const CWB_INVALID_POINTER = (CWB_START + 14)
  Public Const CWB_SERVER_PROGRAM_NOT_FOUND = (CWB_START + 15)
  Public Const CWB_API_ERROR = (CWB_START + 16)
  Public Const CWB_CA_NOT_STARTED = (CWB_START + 17)
  Public Const CWB_FILE_IO_ERROR = (CWB_START + 18)
  Public Const CWB_COMMUNICATIONS_ERROR = (CWB_START + 19)
  Public Const CWB_RUNTIME_CONSTRUCTOR_FAILED = (CWB_START + 20)
  Public Const CWB_DIAGNOSTIC = (CWB_START + 21)
  Public Const CWB_COMM_VERSION_ERROR = (CWB_START + 22)
  Public Const CWB_NO_VIEWER = (CWB_START + 23)
  Public Const CWB_MODULE_NOT_LOADABLE = (CWB_START + 24)
  Public Const CWB_ALREADY_SETUP = (CWB_START + 25)
  Public Const CWB_CANNOT_START_PROCESS = (CWB_START + 26)
  Public Const CWB_NON_REPRESENTABLE_UNICODE_CHAR = (CWB_START + 27)

'/*********************************************************************/
'/* Public return codes unique to Client Access/400 that are new      */
'/*   as of first release of Client Access Express, start at 8000     */
'/*********************************************************************/
  Public Const CWB_EXPRESSBASE = (8000)
  
  'Security Errors(8000 - 8299)
  Public Const CWB_EXPRESS_SEC_BASE = (CWB_EXPRESSBASE)
  Public Const CWB_EXPRESS_SEC_END = (CWB_EXPRESS_SEC_BASE + 299)

  Public Const CWB_UNKNOWN_USERID = (CWB_EXPRESS_SEC_BASE + 1)
  Public Const CWB_WRONG_PASSWORD = (CWB_EXPRESS_SEC_BASE + 2)
  Public Const CWB_PASSWORD_EXPIRED = (CWB_EXPRESS_SEC_BASE + 3)
  Public Const CWB_INVALID_PASSWORD = (CWB_EXPRESS_SEC_BASE + 4)
  Public Const CWB_INCORRECT_DATA_FORMAT = (CWB_EXPRESS_SEC_BASE + 6)
  Public Const CWB_GENERAL_SECURITY_ERROR = (CWB_EXPRESS_SEC_BASE + 7)
  Public Const CWB_USER_PROFILE_DISABLED = (CWB_EXPRESS_SEC_BASE + 11)
  Public Const CWB_USER_CANCELLED = (CWB_EXPRESS_SEC_BASE + 13)
  Public Const CWB_INVALID_SYSNAME = (CWB_EXPRESS_SEC_BASE + 14)
  Public Const CWB_INVALID_USERID = (CWB_EXPRESS_SEC_BASE + 15)
  Public Const CWB_LIMITED_CAPABILITIES_USERID = (CWB_EXPRESS_SEC_BASE + 16)
  Public Const CWB_INVALID_TP_ON_HOST = (CWB_EXPRESS_SEC_BASE + 19)
  Public Const CWB_NOT_LOGGED_ON = (CWB_EXPRESS_SEC_BASE + 22)
  Public Const CWB_EXIT_PGM_ERROR = (CWB_EXPRESS_SEC_BASE + 26)
  Public Const CWB_TIMESTAMPS_NOT_SET = (CWB_EXPRESS_SEC_BASE + 50)
  Public Const CWB_PW_TOO_LONG = (CWB_EXPRESS_SEC_BASE + 257)
  Public Const CWB_PW_TOO_SHORT = (CWB_EXPRESS_SEC_BASE + 258)
  Public Const CWB_PW_REPEAT_CHARACTER = (CWB_EXPRESS_SEC_BASE + 259)
  Public Const CWB_PW_ADJACENT_DIGITS = (CWB_EXPRESS_SEC_BASE + 260)
  Public Const CWB_PW_CONSECUTIVE_CHARS = (CWB_EXPRESS_SEC_BASE + 261)
  Public Const CWB_PW_PREVIOUSLY_USED = (CWB_EXPRESS_SEC_BASE + 262)
  Public Const CWB_PW_DISALLOWED_CHAR = (CWB_EXPRESS_SEC_BASE + 263)
  Public Const CWB_PW_NEED_NUMERIC = (CWB_EXPRESS_SEC_BASE + 264)
  Public Const CWB_PW_MATCHES_OLD = (CWB_EXPRESS_SEC_BASE + 266)
  Public Const CWB_PW_NOT_ALLOWED = (CWB_EXPRESS_SEC_BASE + 267)
  Public Const CWB_PW_CONTAINS_USERID = (CWB_EXPRESS_SEC_BASE + 268)
  Public Const CWB_PW_LAST_INVALID_PWD = (CWB_EXPRESS_SEC_BASE + 270)

  'Communications Errors(8400 - 8499)
  Public Const CWB_EXPRESS_COMM_BASE = (CWB_EXPRESSBASE + 400)
  Public Const CWB_EXPRESS_COMM_END = (CWB_EXPRESS_COMM_BASE + 99)

  Public Const CWB_INV_AFTER_SIGNON = (CWB_EXPRESS_COMM_BASE)
  Public Const CWB_INV_WHEN_CONNECTED = (CWB_EXPRESS_COMM_BASE + 1)
  Public Const CWB_INV_BEFORE_VALIDATE = (CWB_EXPRESS_COMM_BASE + 2)
  Public Const CWB_SECURE_SOCKETS_NOTAVAIL = (CWB_EXPRESS_COMM_BASE + 3)
  Public Const CWB_RESERVED1 = (CWB_EXPRESS_COMM_BASE + 4)
  Public Const CWB_RECEIVE_ERROR = (CWB_EXPRESS_COMM_BASE + 5)
  Public Const CWB_SERVICE_NAME_ERROR = (CWB_EXPRESS_COMM_BASE + 6)
  Public Const CWB_GETPORT_ERROR = (CWB_EXPRESS_COMM_BASE + 7)
  Public Const CWB_SUCCESS_WARNING = (CWB_EXPRESS_COMM_BASE + 8)
  Public Const CWB_NOT_CONNECTED = (CWB_EXPRESS_COMM_BASE + 9)
  Public Const CWB_DEFAULT_HOST_CCSID_USED = (CWB_EXPRESS_COMM_BASE + 10)

  'Configuration Errors(8500 - 8599)
  Public Const CWB_EXPRESS_CFG_BASE = (CWB_EXPRESSBASE + 500)
  Public Const CWB_EXPRESS_CFG_END = (CWB_EXPRESS_CFG_BASE + 99)

  Public Const CWB_RESTRICTED_BY_POLICY = (CWB_EXPRESS_CFG_BASE)
  Public Const CWB_POLICY_MODIFY_MANDATED_ENV = (CWB_EXPRESS_CFG_BASE + 1)
  Public Const CWB_POLICY_MODIFY_CURRENT_ENV = (CWB_EXPRESS_CFG_BASE + 2)
  Public Const CWB_POLICY_MODIFY_ENV_LIST = (CWB_EXPRESS_CFG_BASE + 3)
  Public Const CWB_SYSTEM_NOT_FOUND = (CWB_EXPRESS_CFG_BASE + 4)
  Public Const CWB_ENVIRONMENT_NOT_FOUND = (CWB_EXPRESS_CFG_BASE + 5)
  Public Const CWB_ENVIRONMENT_EXISTS = (CWB_EXPRESS_CFG_BASE + 6)
  Public Const CWB_SYSTEM_EXISTS = (CWB_EXPRESS_CFG_BASE + 7)
  Public Const CWB_NO_SYSTEMS_CONFIGURED = (CWB_EXPRESS_CFG_BASE + 8)
  Public Const CWB_CONFIGERR_RESERVED_START = (CWB_EXPRESS_CFG_BASE + 80)
  Public Const CWB_CONFIGERR_RESERVED_END = (CWB_EXPRESS_CFG_BASE + 99)
  
  'Automation Object Errors  (8600 - 8699)
  Public Const CWB_INVALID_METHOD_PARM = (CWB_EXPRESSBASE + 600)
  Public Const CWB_INVALID_PROPERTY_PARM = (CWB_EXPRESSBASE + 601)
  Public Const CWB_INVALID_PROPERTY_VALUE = (CWB_EXPRESSBASE + 602)
  Public Const CWB_OBJECT_NOT_INITIALIZED = (CWB_EXPRESSBASE + 603)
  Public Const CWB_OBJECT_ALREADY_INITIALIZED = (CWB_EXPRESSBASE + 604)
  Public Const CWB_INVALID_DQ_ORDER = (CWB_EXPRESSBASE + 605)
  Public Const CWB_UNSUPPORTED_FUNCTION = (CWB_EXPRESSBASE + 998)
  Public Const CWB_INTERNAL_ERROR = (CWB_EXPRESSBASE + 999)

  '10000 - 11004 -- WINSOCK errors (see winsock.h / winsock2.h)
  Public Const CWB_SOCKBASE = (10000)

  Public Const CWB_TOO_MANY_OPEN_SOCKETS = (CWB_SOCKBASE + 24)
  Public Const CWB_RESOURCE_TEMPORARILY_UNAVAILABLE = (CWB_SOCKBASE + 35)
  Public Const CWB_SOCKET_OPERATION_ON_NON_SOCKET = (CWB_SOCKBASE + 38)
  Public Const CWB_PROTOCOL_NOT_INSTALLED = (CWB_SOCKBASE + 47)
  Public Const CWB_NETWORK_IS_DOWN = (CWB_SOCKBASE + 50)
  Public Const CWB_NETWORK_IS_UNREACHABLE = (CWB_SOCKBASE + 51)
  Public Const CWB_NETWORK_DROPPED_CONNECTION_ON_RESET = (CWB_SOCKBASE + 52)
  Public Const CWB_SOFTWARE_CAUSED_CONNECTION_ABORT = (CWB_SOCKBASE + 53)
  Public Const CWB_CONNECTION_RESET_BY_PEER = (CWB_SOCKBASE + 54)
  Public Const CWB_NO_BUFFER_SPACE_AVAILABLE = (CWB_SOCKBASE + 55)
  Public Const CWB_SOCKET_IS_NOT_CONNECTED = (CWB_SOCKBASE + 57)
  Public Const CWB_CANNOT_SEND_AFTER_SOCKET_SHUTDOWN = (CWB_SOCKBASE + 58)
  Public Const CWB_CONNECTION_TIMED_OUT = (CWB_SOCKBASE + 60)
  Public Const CWB_CONNECTION_REFUSED = (CWB_SOCKBASE + 61)
  Public Const CWB_HOST_IS_DOWN = (CWB_SOCKBASE + 64)
  Public Const CWB_NO_ROUTE_TO_HOST = (CWB_SOCKBASE + 65)
  Public Const CWB_NETWORK_SUBSYSTEM_IS_UNAVAILABLE = (CWB_SOCKBASE + 91)
  Public Const CWB_WINSOCK_VERSION_NOT_SUPPORTED = (CWB_SOCKBASE + 92)
  Public Const CWB_HOST_DEFINITELY_NOT_FOUND = (CWB_SOCKBASE + 1001)
  Public Const CWB_HOST_NOT_FOUND_BUT_WE_ARE_NOT_SURE = (CWB_SOCKBASE + 1002)
  Public Const CWB_VALID_NAME_BUT_NO_DATA_RECORD = (CWB_SOCKBASE + 1004)
  
  '20000 - 20999 -- SSL return codes
  Public Const CWB_SSLBASE1 = (20000)
  Public Const CWB_SSLEND1 = (CWB_SSLBASE1 + 999)

  Public Const CWB_SSL_ERROR_NO_CIPHERS = (CWB_SSLBASE1 + 1)
  Public Const CWB_SSL_ERROR_NO_CERTIFICATE = (CWB_SSLBASE1 + 2)
  Public Const CWB_SSL_ERROR_BAD_CERTIFICATE = (CWB_SSLBASE1 + 4)
  Public Const CWB_SSL_ERROR_UNSUPPORTED_CERTIFICATE_TYPE = (CWB_SSLBASE1 + 6)
  Public Const CWB_SSL_ERROR_IO = (CWB_SSLBASE1 + 10)
  Public Const CWB_SSL_ERROR_BAD_MESSAGE = (CWB_SSLBASE1 + 11)
  Public Const CWB_SSL_ERROR_BAD_MAC = (CWB_SSLBASE1 + 12)
  Public Const CWB_SSL_ERROR_UNSUPPORTED = (CWB_SSLBASE1 + 13)
  Public Const CWB_SSL_ERROR_BAD_CERT_SIG = (CWB_SSLBASE1 + 14)
  Public Const CWB_SSL_ERROR_BAD_CERT = (CWB_SSLBASE1 + 15)
  Public Const CWB_SSL_ERROR_BAD_PEER = (CWB_SSLBASE1 + 16)
  Public Const CWB_SSL_ERROR_PERMISSION_DENIED = (CWB_SSLBASE1 + 17)
  Public Const CWB_SSL_ERROR_SELF_SIGNED = (CWB_SSLBASE1 + 18)
  Public Const CWB_SSL_ERROR_BAD_MALLOC = (CWB_SSLBASE1 + 20)
  Public Const CWB_SSL_ERROR_BAD_STATE = (CWB_SSLBASE1 + 21)
  Public Const CWB_SSL_ERROR_SOCKET_CLOSED = (CWB_SSLBASE1 + 22)
  Public Const CWB_SSL_ERROR_INITIALIZATION_FAILED = (CWB_SSLBASE1 + 23)
  Public Const CWB_SSL_ERROR_HANDLE_CREATION_FAILED = (CWB_SSLBASE1 + 24)
  Public Const CWB_SSL_ERROR_BAD_DATE = (CWB_SSLBASE1 + 25)
  Public Const CWB_SSL_ERROR_BAD_KEY_LEN_FOR_EXPORT = (CWB_SSLBASE1 + 26)
  Public Const CWB_SSL_ERROR_NO_PRIVATE_KEY = (CWB_SSLBASE1 + 27)
  Public Const CWB_SSL_BAD_PARAMETER = (CWB_SSLBASE1 + 28)
  Public Const CWB_SSL_ERROR_INTERNAL = (CWB_SSLBASE1 + 29)
  Public Const CWB_SSL_ERROR_WOULD_BLOCK = (CWB_SSLBASE1 + 30)
  Public Const CWB_SSL_ERROR_LOAD_GSKLIB = (CWB_SSLBASE1 + 31)
  Public Const CWB_SSL_SOC_BAD_V2_CIPHER = (CWB_SSLBASE1 + 40)
  Public Const CWB_SSL_SOC_BAD_V3_CIPHER = (CWB_SSLBASE1 + 41)
  Public Const CWB_SSL_SOC_BAD_SEC_TYPE = (CWB_SSLBASE1 + 42)
  Public Const CWB_SSL_SOC_NO_READ_FUNCTION = (CWB_SSLBASE1 + 43)
  Public Const CWB_SSL_SOC_NO_WRITE_FUNCTION = (CWB_SSLBASE1 + 44)
  Public Const CWB_SSL_ERROR_NOT_SERVER = (CWB_SSLBASE1 + 50)
  Public Const CWB_SSL_ERROR_NOT_SSLV3 = (CWB_SSLBASE1 + 51)
  Public Const CWB_SSL_ERROR_NOT_SSLV3_CLIENT = (CWB_SSLBASE1 + 52)
  Public Const CWB_SSL_ERROR_UNKNOWN_ERROR = (CWB_SSLBASE1 + 99)
  Public Const CWB_SSL_ERROR_BAD_BUFFER_SIZE = (CWB_SSLBASE1 + 100)
  Public Const CWB_SSL_ERROR_BAD_SSL_HANDLE = (CWB_SSLBASE1 + 101)
  Public Const CWB_SSL_ERROR_TIMEOUT = (CWB_SSLBASE1 + 102)
  
  '25000 - 25999 -- More SSL return codes
  Public Const CWB_SSLBASE2 = (CWB_SSLBASE1 + 5000)
  Public Const CWB_SSLEND2 = (CWB_SSLBASE2 + 999)

  Public Const CWB_SSL_KEYFILE_IO_ERROR = (CWB_SSLBASE2 + 1)
  Public Const CWB_SSL_KEYFILE_OPEN_FAILED = (CWB_SSLBASE2 + 2)
  Public Const CWB_SSL_KEYFILE_BAD_FORMAT = (CWB_SSLBASE2 + 3)
  Public Const CWB_SSL_KEYFILE_BAD_PASSWORD = (CWB_SSLBASE2 + 4)
  Public Const CWB_SSL_KEYFILE_BAD_MALLOC = (CWB_SSLBASE2 + 5)
  Public Const CWB_SSL_KEYFILE_NOTHING_TO_WRITE = (CWB_SSLBASE2 + 6)
  Public Const CWB_SSL_KEYFILE_WRITE_FAILED = (CWB_SSLBASE2 + 7)
  Public Const CWB_SSL_KEYFILE_NOT_FOUND = (CWB_SSLBASE2 + 8)
  Public Const CWB_SSL_KEYFILE_BAD_DNAME = (CWB_SSLBASE2 + 9)
  Public Const CWB_SSL_KEYFILE_BAD_KEY = (CWB_SSLBASE2 + 10)
  Public Const CWB_SSL_KEYFILE_KEY_EXISTS = (CWB_SSLBASE2 + 11)
  Public Const CWB_SSL_KEYFILE_BAD_LABEL = (CWB_SSLBASE2 + 12)
  Public Const CWB_SSL_KEYFILE_DUPLICATE_NAME = (CWB_SSLBASE2 + 13)
  Public Const CWB_SSL_KEYFILE_DUPLICATE_KEY = (CWB_SSLBASE2 + 14)
  Public Const CWB_SSL_KEYFILE_DUPLICATE_LABEL = (CWB_SSLBASE2 + 15)
  Public Const CWB_SSL_BAD_FORMAT_OR_INVALID_PW = (CWB_SSLBASE2 + 16)
  Public Const CWB_SSL_WARNING_INVALID_SERVER_CERT = (CWB_SSLBASE2 + 98)
  Public Const CWB_SSL_WARNING_INVALID_SERVER_PRIV_KEY = (CWB_SSLBASE2 + 99)
  Public Const CWB_SSL_ERR_INIT_PARM_NOT_VALID = (CWB_SSLBASE2 + 100)
  Public Const CWB_SSL_INIT_SEC_TYPE_NOT_VALID = (CWB_SSLBASE2 + 102)
  Public Const CWB_SSL_INIT_V2_TIMEOUT_NOT_VALID = (CWB_SSLBASE2 + 103)
  Public Const CWB_SSL_INIT_V3_TIMEOUT_NOT_VALID = (CWB_SSLBASE2 + 104)
  Public Const CWB_SSL_KEYFILE_CERT_EXPIRED = (CWB_SSLBASE2 + 105)
