Attribute VB_Name = "cwbad"
'/********************************************************************/
'/*                                                                  */
'/* 5769-XE1                                                         */
'/* (C) Copyright IBM Corp. 1995,1998                                */
'/* All rights reserved.                                             */
'/* US Government Users Restricted Rights -                          */
'/* Use, duplication or disclosure restricted                        */
'/* by GSA ADP Schedule Contract with IBM Corp.                      */
'/*                                                                  */
'/* Licensed Materials-Property of IBM                               */
'/*                                                                  */
'/********************************************************************/
'/*                                                                  */
'/* Module:                                                          */
'/*   CWBAD.H                                                        */
'/*                                                                  */
'/* Purpose:                                                         */
'/*   The functions listed in this file can be used to access        */
'/*   information concerning the Client Access Express product       */
'/*   which is installed on the PC.                                  */
'/*                                                                  */
'/* Usage Notes:                                                     */
'/*   Link with CWBAPI.LIB import library.                           */
'/*   This module is to be used in conjunction with CWBAD.DLL.       */
'/*                                                                  */
'/*   In addition to the return codes listed for APIs additional     */
'/*   operating system specific return codes may also appear.  The   */
'/*   precise meaning of these return codes can be found in the      */
'/*   operating system manuals or relevant header files.             */
'/*                                                                  */
'/********************************************************************/

'/*------------------------------------------------------------------*/
'/* Return values specific to APIs listed below                      */
'/*------------------------------------------------------------------*/
Public Const CWBAD_START = (CWB_LAST + 1)
Public Const CWBAD_INVALID_COMPONENT_ID = (CWBAD_START + 1)

'/*------------------------------------------------------------------*/
'/* Component IDs for cwbAD_IsComponentInstalled                     */
'/*                                                                  */
'/* Note: These do not change from release to release                */
'/*------------------------------------------------------------------*/
'// Express required programs
Public Const CWBAD_COMP_BASESUPPORT = (1)
'// Express Optional Components
Public Const CWBAD_COMP_OPTIONAL_COMPS = (2)
'// Directory Update
Public Const CWBAD_COMP_DIRECTORYUPDATE = (3)
'// Incoming Remote Command
Public Const CWBAD_COMP_IRC = (4)
'// MAPI
Public Const CWBAD_COMP_MAPI = (5)
'// Express Online User's Guide
Public Const CWBAD_COMP_OUG = (6)
'// AS400 Operations Navigator
Public Const CWBAD_COMP_OPNAV = (7)
'// Data Access
Public Const CWBAD_COMP_DATA_ACCESS = (8)
'// Data Transfer
Public Const CWBAD_COMP_DATA_TRANSFER = (9)
'// Data Transfer Base Support
Public Const CWBAD_COMP_DT_BASESUPPORT = (10)
'// Data Transfer Excel Add-in
Public Const CWBAD_COMP_DT_EXCEL_ADDIN = (11)
'// Data Transfer WK4 file support
Public Const CWBAD_COMP_DT_WK4SUPPORT = (12)
'// ODBC
Public Const CWBAD_COMP_ODBC = (13)
'// OLE DB Provider
Public Const CWBAD_COMP_OLEDB = (14)
'// AFP Workbench Viewer
Public Const CWBAD_COMP_AFP_VIEWER = (15)
'// AS400 Java Toolbox
Public Const CWBAD_COMP_JAVA_TOOLBOX = (16)
'// 5250 Display and Printer Emulator
Public Const CWBAD_COMP_PC5250 = (17)
'// Printer Drivers
Public Const CWBAD_COMP_PRINTERDRIVERS = (18)
'// AFP printer driver
Public Const CWBAD_COMP_AFP_DRIVER = (19)
'// SCS printer driver
Public Const CWBAD_COMP_SCS_DRIVER = (20)
'// AS400 Operations Console
Public Const CWBAD_COMP_OP_CONSOLE = (21)
'// Client Access Express Toolkit
Public Const CWBAD_COMP_TOOLKIT = (22)
'// Headers, Libraries, and Documentation
Public Const CWBAD_COMP_TOOLKIT_BASE = (23)
'// Visual Basic Wizards
Public Const CWBAD_COMP_TOOLKIT_VBW = (24)
'// Operations Navigator Base Support
Public Const CWBAD_COMP_OPNAV_BASESUPPORT = (100)
'// Operations Navigator Basic Operations
Public Const CWBAD_COMP_OPNAV_BASE_OPS = (101)
'// Operations Navigator Job Management
Public Const CWBAD_COMP_OPNAV_JOB_MGMT = (102)
'// Operations Navigator System Configuration
Public Const CWBAD_COMP_OPNAV_SYS_CFG = (103)
'// Operations Navigator Networks
Public Const CWBAD_COMP_OPNAV_NETWORK = (104)
'// Operations Navigator Security
Public Const CWBAD_COMP_OPNAV_SECURITY = (105)
'// Operations Navigator Users and Groups
Public Const CWBAD_COMP_OPNAV_USERS_GROUPS = (106)
'// Operations Navigator Database
Public Const CWBAD_COMP_OPNAV_DATABASE = (107)
'// Operations Navigator Multimedia
Public Const CWBAD_COMP_OPNAV_MULTIMEDIA = (108)
'// Operations Navigator Backup
Public Const CWBAD_COMP_OPNAV_BACKUP = (109)
'// Operations Navigator Application Development
Public Const CWBAD_COMP_OPNAV_APP_DEV = (110)
'// Operations Navigator Application Administration
Public Const CWBAD_COMP_OPNAV_APP_ADMIN = (111)
'// Operations Navigator File Systems
Public Const CWBAD_COMP_OPNAV_FILE_SYSTEMS = (112)
'// Operations Navigator Management Central
Public Const CWBAD_COMP_OPNAV_MGMT_CENTRAL = (113)
'//5250 Display and Printer Emulator subcomponents
Public Const CWBAD_COMP_PC5250_BASE_KOREAN = (150)
Public Const CWBAD_COMP_PC5250_PDFPDT_KOREAN = (151)
Public Const CWBAD_COMP_PC5250_BASE_SIMPCHIN = (152)
Public Const CWBAD_COMP_PC5250_PDFPDT_SIMPCHIN = (153)
Public Const CWBAD_COMP_PC5250_BASE_TRADCHIN = (154)
Public Const CWBAD_COMP_PC5250_PDFPDT_TRADCHIN = (155)
Public Const CWBAD_COMP_PC5250_BASE_STANDARD = (156)
Public Const CWBAD_COMP_PC5250_PDFPDT_STANDARD = (157)
Public Const CWBAD_COMP_PC5250_FONT_ARABIC = (158)
Public Const CWBAD_COMP_PC5250_FONT_BALTIC = (159)
Public Const CWBAD_COMP_PC5250_FONT_LATIN2 = (160)
Public Const CWBAD_COMP_PC5250_FONT_CYRILLIC = (161)
Public Const CWBAD_COMP_PC5250_FONT_GREEK = (162)
Public Const CWBAD_COMP_PC5250_FONT_HEBREW = (163)
Public Const CWBAD_COMP_PC5250_FONT_LAO = (164)
Public Const CWBAD_COMP_PC5250_FONT_THAI = (165)
Public Const CWBAD_COMP_PC5250_FONT_TURKISH = (166)
Public Const CWBAD_COMP_PC5250_FONT_VIET = (167)
'// SSL and SSL Sub-components
Public Const CWBAD_COMP_SSL = (200)
Public Const CWBAD_COMP_SSL_128_BIT = (201)
Public Const CWBAD_COMP_SSL_56_BIT = (202)
Public Const CWBAD_COMP_SSL_40_BIT = (203)

'/********************************************************************/
'/*                                                                  */
'/* API:                                                             */
'/*   cwbAD_GetClientVersion                                         */
'/*                                                                  */
'/* Purpose:                                                         */
'/*   Get the version of the Client Access product currently         */
'/*   installed on the PC.                                           */
'/*                                                                  */
'/* Parameters:                                                      */
'/*   unsigned long * version - output                               */
'/*     Pointer to a buffer where the version level of the Client    */
'/*     Access product is returned.                                  */
'/*   unsigned long * release - output                               */
'/*     Pointer to a buffer where the release level of the Client    */
'/*     Access product is returned.                                  */
'/*   unsigned long * modificationLevel - output                     */
'/*     Pointer to a buffer where the modification level of the      */
'/*     Client Access product is returned.                           */
'/*                                                                  */
'/* Return Codes:                                                    */
'/*  The following list shows common return values.                  */
'/*   CWB_OK - Successful completion.                                */
'/*   CWB_INVALID_POINTER - One or more pointer parameters are NULL. */
'/*                                                                  */
'/* Usage Notes:                                                     */
'/*                                                                  */
'/********************************************************************/
Public Declare Function cwbAD_GetClientVersion Lib "cwbad" _
  ( _
    ByRef version As Long, _
    ByRef release As Long, _
    ByRef modificationLevel _
  ) As Long

'/********************************************************************/
'/*                                                                  */
'/* API:                                                             */
'/*   cwbAD_GetProductFixLevel                                       */
'/*                                                                  */
'/* Purpose:                                                         */
'/*   Returns the current Fix Level of Client Access                 */
'/*                                                                  */
'/* Parameters:                                                      */
'/*   char * szBuffer - output                                       */
'/*   unsigned long ulBufLen - input/output                          */
'/*     Size of szBuffer, including space for the NULL terminator.   */
'/*     On output, will contain the length of the fix level string,  */
'/*     including the terminating NULL.                              */
'/*                                                                  */
'/* Return Codes:                                                    */
'/*  The following list shows common return values.                  */
'/*   CWB_OK                 - Successful completion                 */
'/*   CWB_BUFFER_OVERFLOW    - Buffer overflow.  The required length */
'/*                            is returned in ulBufLen.              */
'/*   CWB_INVALID_POINTER    - One or more pointer parameters are    */
'/*                            NULL.                                 */
'/*                                                                  */
'/* Usage Notes:                                                     */
'/*   Returns the fix level of the Client Access product.  Returns   */
'/*   an empty string if fixes have not been applied.                */
'/*                                                                  */
'/********************************************************************/
Public Declare Function cwbAD_GetProductFixLevel Lib "cwbad" _
  ( _
    ByVal szBuffer As String, _
    ByRef ulBufLen As Long _
  ) As Long

'/********************************************************************/
'/*                                                                  */
'/* API:                                                             */
'/*   cwbAD_IsComponentInstalled                                     */
'/*                                                                  */
'/* Purpose:                                                         */
'/*   Indicates whether or not a specific Client Access component    */
'/*   is installed.                                                  */
'/*                                                                  */
'/* Parameters:                                                      */
'/*   unsigned long ulComponentID - input                            */
'/*     Must be set to one of the component ID's listed at the       */
'/*     beginning of this file.                                      */
'/*   cwb_Boolean * bIndicator - output                              */
'/*     Will contain CWB_TRUE if the component is installed.         */
'/*     Will return CWB_FALSE if the component is not installed.     */
'/*     Will not be set if an error occurs.                          */
'/*                                                                  */
'/* Return Codes:                                                    */
'/*  The following list shows common return values.                  */
'/*   CWB_OK                   - Successful completion.              */
'/*   CWB_INVALID_POINTER      - bIndicator is NULL.                 */
'/*   CWB_INVALID_COMPONENT_ID - The component id is invalid for     */
'/*                              this release.                       */
'/*                                                                  */
'/* Usage Notes:                                                     */
'/*                                                                  */
'/********************************************************************/
Public Declare Function cwbAD_IsComponentInstalled Lib "cwbad" _
  ( _
    ByVal ulComponentID As Long, _
    ByRef bIndicator As Long _
  ) As Long

'/********************************************************************/
'/*                                                                  */
'/* API:                                                             */
'/*   cwbAD_IsOpNavPluginInstalled                                   */
'/*                                                                  */
'/* Purpose:                                                         */
'/*   Indicates whether or not a specific Operations Navigator       */
'/*   plug-in is installed.                                          */
'/*                                                                  */
'/* Parameters:                                                      */
'/*   char * szPluginName - input                                    */
'/*     Pointer to a null-terminated string containing the name of   */
'/*     plug-in.                                                     */
'/*   cwb_Boolean * bIndicator - output                              */
'/*     Will contain CWB_TRUE if the component is installed.         */
'/*     Will return CWB_FALSE if the component is not installed.     */
'/*     Will not be set if an error occurs.                          */
'/*                                                                  */
'/* Return Codes:                                                    */
'/*  The following list shows common return values.                  */
'/*   CWB_OK - Successful completion.                                */
'/*   CWB_INVALID_POINTER - One of the pointer parameters is NULL.   */
'/*                                                                  */
'/* Usage Notes:                                                     */
'/*   If the return value is not CWB_OK, the value in bIndicator     */
'/*   is meaningless.                                                */
'/*                                                                  */
'/********************************************************************/
Public Declare Function cwbAD_IsOpNavPluginInstalled Lib "cwbad" _
  ( _
    ByVal szPluginName As String, _
    ByRef bIndicator As Long _
  )
